Subject: Re: do a single memdup_user in sctp_setsockopt

From: Marcelo Ricardo Leitner <[email-masked]>
Date: Mon, 25 May 2020 17:59:47 -0300

On Mon, May 25, 2020 at 07:37:49PM +0000, David Laight wrote:
> I'm going to post a V3 of my big patch - I spotted an error.
> I'll include a different (smaller) patch in 0/1 that generates
> exactly the same object code but is easier to review.

Please make sure to split at least setsockopt and getsockopt changes
into different patches. That will help quite a lot already.
And to adopt the memset at the end of sctp_setsockopt_auth_key(), to
avoid special handling later on.

Thanks,
Marcelo